VERSION 4.00
Begin VB.Form ASample 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Alarm Sample"
   ClientHeight    =   3630
   ClientLeft      =   2280
   ClientTop       =   2100
   ClientWidth     =   3495
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   1
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   4035
   Icon            =   "ASAMPLE.frx":0000
   Left            =   2220
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3630
   ScaleWidth      =   3495
   Top             =   1755
   Width           =   3615
   Begin AlarmLib.Alarm Alarm1 
      Left            =   0
      Top             =   0
      _version        =   65541
      _extentx        =   847
      _extenty        =   847
      _stockprops     =   64
      dateformat      =   ""
   End
   Begin VB.Label Label2 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   $"ASAMPLE.frx":030A
      ForeColor       =   &H80000008&
      Height          =   2415
      Left            =   240
      TabIndex        =   1
      Top             =   960
      Width           =   3015
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   1
         weight          =   700
         size            =   16.5
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   3015
   End
End
Attribute VB_Name = "ASample"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Const AT_Second = 0
Const AT_Hour = 1
Const AT_Minute15 = 2
Const AT_HalfHour = 3
Const AT_Minute45 = 4
Const AT_ColorChange = 10

Private Sub Alarm1_Alarm(AlarmIndex As Long, TimeNow As String)
    Label1.Caption = TimeNow

    Select Case AlarmIndex
        Case AT_Hour        ' beep three times on the hour
            Beep
            Beep
            Beep
        Case AT_Minute15    ' once on the quarter hour
            Beep
        Case AT_HalfHour    ' twice on the half hour
            Beep
            Beep
        Case AT_Minute45    ' once on the quarter hour
            Beep

        Case AT_ColorChange ' change colors every 10 seconds
                            ' definitely ugly (random color)
            Label1.ForeColor = Rnd * &H1000000
    End Select
End Sub

Private Sub Form_Load()
    Randomize

    ASample.Left = (Screen.Width - ASample.Width) / 2
    ASample.Top = (Screen.Height - ASample.Height) / 2

    Alarm1.AlarmTime(AT_Second) = "??:??:??"
    Alarm1.AlarmTime(AT_Hour) = "??:00:00"
    Alarm1.AlarmTime(AT_Minute15) = "??:15:00"
    Alarm1.AlarmTime(AT_HalfHour) = "??:30:00"
    Alarm1.AlarmTime(AT_Minute45) = "??:45:00"

    Alarm1.AlarmTime(AT_ColorChange) = "??:??:?0"
End Sub

